/*	Public domain	*/

#define ML_DEFAULT_MAXSIZE	65536
#define ML_OP_MAX		16
#define ML_NAME_MAX		48

typedef struct ml_mail_list_req {
	char		 name[ML_NAME_MAX];	/* List name */
	char		 op[ML_OP_MAX];		/* Request */
	struct passwd	*owner;			/* List owner */
	size_t		 maxSize;		/* Maximum post size */
} ML_MailListReq;

struct sf_message;
struct sf_recipient;

int		 ML_Init(void);
void		 ML_Destroy(void);
ML_MailListReq	*ML_GetMailListReq(struct sf_recipient *);
int		 ML_MessageProcess(struct sf_message *, struct sf_recipient *);
