/*	Public domain	*/

enum smtp_prot {
	ESMTP_PROTOCOL,
	LMTP_PROTOCOL
};

typedef struct smtp_session {
	enum smtp_prot prot;
	pid_t pid;
	int pipe;
	TAILQ_ENTRY(smtp_session) sessions;
} SMTP_Session;

extern int smtpMasterPipe;

int SMTP_Main(enum smtp_prot);
int SMTP_ForwardMessage(SF_Message *, const char *, const char *, const char *);

